Subject: Re: [RFC] AmigaOne device tree source v2

From: David Gibson <[email-masked]>
Date: Fri, 7 Sep 2007 10:21:36 +1000

On Thu, Sep 06, 2007 at 03:36:30PM +0200, Segher Boessenkool wrote:
[snip]
> >> PCI legacy I/O is not direct mapped: there is no legacy I/O on a
> >> PowerPC system bus.  So, it can not be mentioned in the "ranges"
> >> property, but the PHB registers used to access it should be shown
> >> in the "reg" property.  It could be a simple linear window (it
> >> sounds like it is here?), but it could for example also be implemented
> >> via an address/data register pair.
> > Yes, it is a simple linear address window. I'll remove its address 
> > range
> > from the reg property.
> 
> No, please remove it from the "ranges" property, instead.

No, don't.  Removing it from reg is just fine.

> >> The order of the "reg" entries depends on the exact model of PCI
> >> bridge, so a device binding for it has to be written.
> > Only the Pegasos I and the AmigaOne use this PCI bridge. I guess it 
> > should
> > be enough to check for the board type, but a compatible property 
> > doesn't
> > hurt.
> 
> Please always use "compatible" to probe any devices.

Do do that, though.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson